=== debian/changelog ===
libeatmydata (26-2) unstable; urgency=low

  * Switch homepage to launchpad.net/libeatmydata.
  * Fix a typo in the eatmydata wrapper.

 -- Modestas Vainius <modax@debian.org>  Sat, 19 Feb 2011 14:27:59 +0200

libeatmydata (26-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches, merged upstream.
  * Add myself to the upstream part of debian/copyright.
  * Skip auto_install routine, we install libeatmydata.so manually.

 -- Modestas Vainius <modax@debian.org>  Tue, 04 Jan 2011 21:28:37 +0200

libeatmydata (15-6) unstable; urgency=low

  * Merge ubuntu_as_needed_fix.diff as is. My tweak was broken.

 -- Modestas Vainius <modax@debian.org>  Mon, 03 Jan 2011 17:03:31 +0200

libeatmydata (15-5) unstable; urgency=low

  * Get rid of the debian-changes-* patch introduced by mistake in the previous
    upload.
  * Forbid generation of the single debian patch by adding
    abort-on-upstream-changes to debian/source/local-options.
  * Add unapply-patches to debian/source/local-options.
  * Merge Ubuntu patches;
    - ubuntu_as_needed_fix.diff (with small tweak) to
      upstream_improve_Makefile.diff;
    - ubuntu_missing_open_arg.diff (with tweak) to
      upstream_portable_testsuite.diff.
  * Fix relative path recognition as per IEEE Std 1003.1 Shell Command
    Language Specification, chapter 2.9. (Closes: #606157)
  * Remove config.h in distclean target (upstream_basic_autoconf.diff
    modified).

 -- Modestas Vainius <modax@debian.org>  Sun, 02 Jan 2011 17:21:29 +0200

libeatmydata (15-4) unstable; urgency=low

  * Fix problem with execution of relative symlink from PATH. (Closes: #603423)
  * Add support for "symlink mode". Please read eatmydata(1) manual page
    for more information.

 -- Modestas Vainius <modax@debian.org>  Sun, 14 Nov 2010 20:38:20 +0200

libeatmydata (15-3) unstable; urgency=low

  * Fix a typo (made while refactoring) in the
    upstream_handle_va_arg_promotion.diff patch. This should really solve a
    FTBFS on kFreeBSD. (Closes: #600445)

 -- Modestas Vainius <modax@debian.org>  Thu, 21 Oct 2010 01:27:10 +0300

libeatmydata (15-2) unstable; urgency=low

  * Prepend upstream_ to all patch names. They all could be merged upstream.
    Also improve their DEP-3 headers a bit.
  * Add basic support for autoconf (via new patch
    upstream_basic_autoconf.diff).
  * Build-Depend on dh-autoreconf and use its dh addon in debian/rules.
  * Fix FTBFS on Debian GNU/kFreeBSD by passing int to va_arg() when needed
    (patch upstream_handle_va_arg_promotion.diff). (Closes: #600445)

 -- Modestas Vainius <modax@debian.org>  Thu, 21 Oct 2010 00:24:15 +0300

libeatmydata (15-1) unstable; urgency=low

  * Initial release. (Closes: #512588)
  * A couple of improvements to Makefile (*FLAGS, no versioned SONAME etc.)
    (patch improve_Makefile.diff).
  * Add portable testsuite (patch portable_testsuite.diff).

 -- Modestas Vainius <modax@debian.org>  Fri, 06 Aug 2010 20:10:11 +0300
