=== debian/control ===
Source: libeatmydata
Section: utils
Priority: optional
Maintainer: Modestas Vainius <modax@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf
Homepage: https://launchpad.net/libeatmydata
Vcs-Git: git://git.debian.org/users/modax/libeatmydata.git
Vcs-Browser: http://git.debian.org/?p=users/modax/libeatmydata.git

Package: eatmydata
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libeatmydata
Description: library and utilities designed to disable fsync and friends
 This package contains a small LD_PRELOAD library (libeatmydata) and a couple
 of helper utilities designed to transparently disable fsync and friends (like
 open(O_SYNC)). This has two side-effects: making software that writes data
 safely to disk a lot quicker and making this software no longer crash safe.
 .
 You will find eatmydata useful if particular software calls fsync(), sync()
 etc. frequently but the data it stores is not that valuable to you and you may
 afford losing it in case of system crash. Data-to-disk synchronization calls
 are typically very slow on modern file systems and their extensive usage might
 slow down software significantly. It does not make sense to accept such a hit
 in performance if data being manipulated is not very important.
 .
 On the other hand, do not use eatmydata when you care about what software
 stores or it manipulates important components of your system. The library is
 called libEAT-MY-DATA for a reason.
