=== debian/rules ===
#!/usr/bin/make -f

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/libeatmydata/*

%:
	dh --with autoreconf $@

.PHONY: override_dh_auto_install
