## libeatmydata 82

=== debian/changelog ===
libeatmydata (82-6) unstable; urgency=low

  * No-change upload to unstable.

  * Upload sponsored by Petter Reinholdtsen.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 30 Nov 2014 12:21:31 +0100

libeatmydata (82-5) experimental; urgency=low

  * [e9ae45a] Replace eatmydata executable with one both Multi-Arch safe and
    compatible with older eatmydata versions in chroots. Thanks to Thorsten
    Glaser for the patch! (Closes: #765810).
  * [3638933] debian/control: drop now useless depends on dpkg-dev
    (Closes: #770109).
  * [0ea9512] debian/eatmydata.1: update manpage with information about
    multiarch. Thanks to Osamu Aoki for reporting (Closes: #766212).

  * Upload sponsored by Petter Reinholdtsen.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sat, 22 Nov 2014 17:59:01 +0100

libeatmydata (82-4) unstable; urgency=low

  [ Mattia Rizzolo ]
  * [c6fde16] Fix FTBFS on hurd-i386 and kfreebsd-* due to missing strace (used
    by the test suite) (Closes: #769605).

  [ Thorsten Glaser ]
  * [8c41772] Add missing Pre-Depends on multiarch-support

  * Upload sponsored by Petter Reinholdtsen.

 -- Mattia Rizzolo <mattia@mapreri.org>  Wed, 19 Nov 2014 22:41:45 +0100

libeatmydata (82-3) unstable; urgency=low

  * debian/patches/bug-702711.patch:
    + [c95e942] fix the bug #702711 also for 32 bit arches (Closes: #765738).
    + [0167220] update headers.
  * [3fabf6f] debian/control: build-depend on strace only on non hurd and non
    kfreebsd systems, where it is unavailable.

  * Upload sponsored by Petter Reinholdtsen.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 09 Nov 2014 22:16:51 +0100

libeatmydata (82-2) unstable; urgency=medium

  * Upload to unstable.

  * Upload sponsored by Petter Reinholdtsen.

 -- Mattia Rizzolo <mattia@mapreri.org>  Mon, 13 Oct 2014 23:50:27 +0200

libeatmydata (82-1) experimental; urgency=medium

  * New upstream release (Closes: #700649).
    + fixes a issue with faketime (Closes: #747078).
  * Add Multi-Arch support (Closes: #694314, LP: #1275932):
    + Upstream now has a basic multiarch support on its own, update packaging.
    + debian/control: split package to libeatmydata1 being Multi-Arch:same.
    + debian/rules: move shared library to /usr/lib/<triplet>/libeatmydata.
  * debian/{bin,lib}: drop, included upstream.
  * debian/control:
    + [19c31a7] Bump Standards-Version to 3.9.6. No changes required.
    + Bump debhelper version to 9.
    + Add autotools-dev and strace to Build-Depends.
    + [687e4b8] Add dpkg-dev to depends of eatmydata
    + [8083867] wrap-and sort maintenance.
    + [64b0f93] Add myself as uploader.
    + [e74b025] Add Breaks/Replaces relations to libeatmydata1.
    + [d46838e,512aabc] Update Vcs-* links to collab-maint.
  * debian/copyright:
    + Update accordingly the new upstream release.
    + Update to the debian-copyright format 1.0.
    + Update the homepage to launchpad.net/libeatmydata.
    + Add myself to copyright owners.
  * debian/compat: bump to 9.
  * debian/rules:
    + use dh with autotools_dev addon.
    + [71e3563] remove the override_dh_makeshilibs.
  * [db986b8] debian/libeatmydata1.lintian-overrides: add
    non-dev-pkg-with-shlib-symlink.
  * debian/patches:
    + executable-not-elf-or-script.patch. add to fix omonim
      lintian warning.
    + [6eba479,bce9c1d] multiarch-issue: add to fix a issue with multiarch (a
      script refers to a fixed position, non multiarch-compatible).
    + bug-702711.patch: update headers. Thanks Petter for the NMU.
  * [ad63684] debian/eatmydata.install:
    + Drop eatmydata.sh, now installed in libeatmydata1.
    + Change source to debian/tmp.
  * debian/libmydata1.install: add, it installs all /usr/lib/* stuff.
  * [9908ebb] debian/eatmydata.manpages: add to install the manpage.
  * debian/watch, debian/upstream/signing-key.asc
    + [42f1561] add.
    + [86912da] fix debian-watch-may-check-gpg-signature lintian tag.
  * debian/README.debian: drop, it's useless.

  * Upload sponsored by Petter Reinholdtsen.

 -- Mattia Rizzolo <mattia@mapreri.org>  Fri, 03 Oct 2014 20:48:40 +0200

libeatmydata (26-2.1) unstable; urgency=low

  * Non-maintainer upload to fix bug affecting other packages.
  * Make sure open() calls done before the eatmydata_init(), for example
    called by ctors, do not return an unexpected error (Closes:
    #702711).  Patch by Roland Stigge.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Sep 2014 22:57:11 +0200
