=== debian/control ===
--- 
+++ 
@@ -2,17 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Modestas Vainius <modax@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf
+Uploaders: Mattia Rizzolo <mattia@mapreri.org>
+Standards-Version: 3.9.6
+Build-Depends: autotools-dev,
+               debhelper (>=9),
+               strace [!hurd-any !kfreebsd-any]
 Homepage: https://launchpad.net/libeatmydata
-Vcs-Git: git://git.debian.org/users/modax/libeatmydata.git
-Vcs-Browser: http://git.debian.org/?p=users/modax/libeatmydata.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/libeatmydata.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libeatmydata.git
 
 Package: eatmydata
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: libeatmydata
-Description: library and utilities designed to disable fsync and friends
+Architecture: all
+Depends: libeatmydata1 (>=${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Library and utilities designed to disable fsync and friends
  This package contains a small LD_PRELOAD library (libeatmydata) and a couple
  of helper utilities designed to transparently disable fsync and friends (like
  open(O_SYNC)). This has two side-effects: making software that writes data
@@ -28,3 +32,17 @@
  On the other hand, do not use eatmydata when you care about what software
  stores or it manipulates important components of your system. The library is
  called libEAT-MY-DATA for a reason.
+
+Package: libeatmydata1
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: eatmydata (<< 82-1)
+Replaces: eatmydata (<< 82-1)
+Multi-Arch: same
+Description: Library and utilities to disable fsync and friends - shared library
+ This package contains the actual LD_PRELOAD library (libeatmydata) supporting
+ the operation of the eatmydata package. Users typically want to use or depend
+ on the eatmydata package instead of this one, so see its description for
+ further information.
