=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_installdirs:
	dh_installdirs

override_dh_install:
	find $(CURDIR)/debian/tmp -name *.la -delete
	rm $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/eatmydata.sh
	install -D $(CURDIR)/debian/eatmydata.sh \
		$(CURDIR)/debian/eatmydata/usr/bin/eatmydata
	dh_install --list-missing

%:
	dh $@ --with autotools_dev
