## libeatmydata 105

=== debian/changelog ===
libeatmydata (105-6) unstable; urgency=medium

  * d/docs: remove, the installed README doesn't contain anything useful.
  * d/copyright:
    + Use HTTPS in the Format field (policy v4.0.0).
    + Bump copyright years for debian/*.
  * d/control:
    + Bump Standards-Version to 4.1.3.
    + Update Vcs-* fields for the move to salsa.debian.org.
  * Bump debhelper compat level to 11.
  * d/rules:
    + Use /usr/share/dpkg/architecture.mk instead of manually shelling out to
      dpkg-architecture(1).
    + Move to dh_missing instead of the deprecated dh_install --fail-missing.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 09 Mar 2018 19:37:20 +0100

libeatmydata (105-5) unstable; urgency=medium

  * Upload to unstable after some testing happened.
  * Make the udeb scripts executable.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 17 Oct 2016 12:21:53 +0000

libeatmydata (105-4) experimental; urgency=medium

  [ Petter Reinholdtsen ]
  * Add udeb to enable eatmydata during a Debian installation.  Closes: #765527

  [ Mattia Rizzolo ]
  * debian/control:
    + Bump Standards-Version to 3.9.8, no changes needed.
    + wrap-and-sort according to my new preferences.
    + Drop unneeded explicit Testsuite field, dpkg-source creates it by itself.
    + Fix description of the new udeb binary.
  * Bump debhelper compat level to 10.
    + Drop explicit --with autoreconf option, now default.
    + Don't run the test suite in parallel (not parallel-safe).
  * use dh_install --fail-missing coupled with a debian/not-installed
  * Use dh-exec instead of install files of the new udeb using cp in d/rules.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 11 Oct 2016 22:09:24 +0000

libeatmydata (105-3) unstable; urgency=medium

  * [ded2257] debian/patches: forward 2 patches.
  * eatmydata.sh:
    + [157cdc6] fix typo that prevented a proper error message when the target
      executable was not found.
    + [a09b086] if the called program is a link to something else, do not call
      the link target but still call the original program.  Closes: #817995

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Apr 2016 16:52:55 +0000

libeatmydata (105-2) unstable; urgency=medium

  * [566a7d0] debian/patches/avoid-pthread-link: add to avoid linking against
    pthread and calling pthread_testcancel also when the called program doesn't.
    Thanks to Samuel Thibault <sthibault@debian.org> for the patch.
    Closes: #816144
  * debian/control:
    + [107b591] Set myself as maintainer, drop modax.  Thanks for all the work!
    + [d3eb0c8] Bump Standards-Version to 3.9.7, no changes needed.
    + [6f69471] Use https in Vcs-Git.
  * [112f080] debian/{control,copyright}: use my @debian.org email address.
  * [a5c4e4f] debian/copyright: extend my copyright for another year.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Feb 2016 16:57:30 +0000

libeatmydata (105-1) unstable; urgency=medium

  * [edcd4e8] Imported Upstream version 105:
    + [23ecfaf] debian/patches: drop patches: all applied upstream.
  * debian/patches:
    + [58b004e] soversion: add to revert an useless/wrong/unintentional
      SOVERSION change made by upstream.
    + [b859146] drop-unneeded-include: add to allow a clean dep-8 test.
    + [acdb016] tests: add dep-3 header.
  * [259b46f,ae03c97] debian/tests: add a DEP-8 testsuite.  Closes: #765294
  * [16352b4] debian/rules: enable verbose building.
  * [b486084] debian/copyright: update years.
  * [048c4ea] debian/eatmydata.1: Add a paragraph explaining how to correctly
    load libeatmydata without using the wrapper, e.g. how to set the
    LD_LIBRARY_PATH and LD_PRELOAD env variable.   Closes: #781485

 -- Mattia Rizzolo <mattia@mapreri.org>  Fri, 04 Sep 2015 14:00:34 +0000
