=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: libeatmydata
 Section: utils
 Priority: optional
-Maintainer: Modestas Vainius <modax@debian.org>
-Uploaders: Mattia Rizzolo <mattia@mapreri.org>
-Standards-Version: 3.9.6
-Build-Depends: autotools-dev,
-               debhelper (>=9),
-               strace [!hurd-any !kfreebsd-any]
+Maintainer: Mattia Rizzolo <mattia@debian.org>
+Standards-Version: 4.1.3
+Build-Depends:
+ debhelper (>= 11),
+ dh-exec,
+ strace [!hurd-any !kfreebsd-any],
 Homepage: https://launchpad.net/libeatmydata
-Vcs-Git: git://anonscm.debian.org/collab-maint/libeatmydata.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libeatmydata.git
+Vcs-Browser: https://salsa.debian.org/debian/libeatmydata
+Vcs-Git: https://salsa.debian.org/debian/libeatmydata.git
 
 Package: eatmydata
 Architecture: all
-Depends: libeatmydata1 (>=${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ libeatmydata1 (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Library and utilities designed to disable fsync and friends
  This package contains a small LD_PRELOAD library (libeatmydata) and a couple
  of helper utilities designed to transparently disable fsync and friends (like
@@ -35,14 +36,33 @@
 
 Package: libeatmydata1
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: eatmydata (<< 82-1)
-Replaces: eatmydata (<< 82-1)
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ eatmydata (<< 82-1),
+Replaces:
+ eatmydata (<< 82-1),
 Multi-Arch: same
 Description: Library and utilities to disable fsync and friends - shared library
  This package contains the actual LD_PRELOAD library (libeatmydata) supporting
  the operation of the eatmydata package. Users typically want to use or depend
  on the eatmydata package instead of this one, so see its description for
  further information.
+
+Package: eatmydata-udeb
+Package-Type: udeb
+Architecture: all
+Section: debian-installer
+Depends:
+ ${misc:Depends},
+Description: Disable fsync and friends during installation to speed up the install
+ This package contains a small LD_PRELOAD library (libeatmydata) and a couple
+ of helper utilities designed to transparently disable fsync and friends (like
+ open(O_SYNC)). This has two side-effects: making software that writes data
+ safely to disk a lot quicker and making this software no longer crash safe.
+ .
+ This package provides the files to enable eatmydata during a Debian install as
+ performed by debian-installer.
