=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DH_VERBOSE=1
export V=1 # let `make` be verbose

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_test:
	dh_auto_test --no-parallel

override_dh_install:
	find $(CURDIR)/debian/tmp -name *.la -delete
	rm -v $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/eatmydata.sh
	install -D $(CURDIR)/debian/eatmydata.sh \
		$(CURDIR)/debian/eatmydata/usr/bin/eatmydata
	dh_install

override_dh_missing:
	dh_missing --fail-missing
