## libeatmydata 130

=== debian/changelog ===
libeatmydata (130-2) unstable; urgency=medium

  * The new symbol is not available on kbsd (but it's on hurd).

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Oct 2021 15:38:45 +0200

libeatmydata (130-1) unstable; urgency=medium

  * New upstream version 130.
  * Add new symbol for syncfs().
  * Increment the library VERSION (doesn't change SONAME).

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Oct 2021 14:40:31 +0200

libeatmydata (129-4) unstable; urgency=medium

  * The new symbol is only available on linux, fix build on kbsd.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 21 Sep 2021 16:54:15 +0200

libeatmydata (129-3) unstable; urgency=medium

  * Remove drop-unneeded-include.patch patch, improving the autopkgtest.
  * Improve the autopkgtest:
    + run dh_auto_configure before compiling the tests, to build a config.h.
    + add Restrictions:rw-build-tree due to the above.
    + copy config.h and portability.h to the testing site.
    + redirect some stderr to stdout.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 23 Aug 2021 15:01:48 +0200

libeatmydata (129-2) unstable; urgency=medium

  * Upload to unstable.
  * Handle one of the new symbols not being present on hurd.
  * d/rules: be strict during symbols checking.
  * d/control: Bump Standards-Version to 4.6.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Aug 2021 17:39:41 +0200

libeatmydata (129-1) experimental; urgency=medium

  * New upstream version 129.  Closes: #986919
  * Update the upstream OpenPGP key.
  * d/patches:
    + Drop patches applied upstream. refresh the rest.
    + New patch so that the upstream build system ignores the debian packaging.
  * d/copyright:
    + Update after the new release.
    + Update Source field to the new location.
  * eatmydata-udeb:
    + Move down the execution order of finish-install, so other finishing
      steps also run under eatmydata.  Closes: #984792
  * Point d/watch to the new github.com project.
  * d/rules:
    + Drop override_dh_auto_test, not needed anymore with the new release.
    + Drop explicit -std=gnu11, not needed anymore.
    + Do not install the static library (previously it wasn't built).
    + Do not run the testuite in the indep builds.
  * d/control:
    + Use the new dh-sequence-bash-completion instead of using
      --with bash-completion in d/rules.
    + Split the build dependencies into Build-Depends(|-Arch|-Indep).
    + Mark strace as <!nocheck>.
    + Bump Standards-Version to 4.5.1, no changes needed.
    + Update Homepage field to the new location.
  * Track 2 new public symbols.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 17 Apr 2021 15:42:47 +0200

libeatmydata (105-9) unstable; urgency=medium

  * Fix autopkgtests against gcc-9 by using -pthread instead of -lpthread

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 30 Apr 2020 14:26:42 +0200

libeatmydata (105-8) unstable; urgency=medium

  * Autopkgtest improvements:
    + Fix a bunch of shellcheck warnings.
    + Remove one last usage of ADTTMP.
  * d/patches:
    + Add patch from upstream to properly handle EBADF.  Closes: #667965
    + Add patch from Alberto Bertogli to make the initialization thread-safe.
      Closes: #918520
    + Add another patch to fix a warning from GCC when built with -std=gnu11.
  * d/control:
    + Bump Standards-Version to 4.5.0, no changes needed.
    + Bump debhelper compat level to 13.
      - compat 12 changes the value of --libexecdir, update the ignoring rule.
  * d/rules:
    + Build with -std=gnu11 to support thread-local storage, as used by the
      patch for 918520.
    + Use d/eatmydata.install to install the /usr/bin/eatmydata file.
    + Use DH_ALWAYS_EXCLUDE to prevent the installation of the .la file.
  * d/copyright: Update the copyright years for debian/.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 28 Apr 2020 13:21:47 +0200

libeatmydata (105-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/copyright: Change Format URL to correct one

  [ Mattia Rizzolo ]
  * Use the new debhelper-compat(=11) notation and drop d/compat.
  * Bump Standards-Version to 4.2.1, no changes needed.
  * Set Rules-Requires-Root:no.
  * Move libeatmydata1 to Section:libs.  Thanks, lintian!
  * Override the lintian tag symbols-file-missing-build-depends-package-field.

  [ Unit 193 ]
  * Add a bash-completion file to allow auto-completion of the parameters of
    the called binary.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 29 Oct 2018 12:08:38 +0100
