=== debian/control ===
--- 
+++ 
@@ -2,12 +2,17 @@
 Section: utils
 Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
-Standards-Version: 4.1.3
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
+Build-Depends-Indep:
  dh-exec,
- strace [!hurd-any !kfreebsd-any],
-Homepage: https://launchpad.net/libeatmydata
+ dh-sequence-bash-completion,
+Build-Depends-Arch:
+ dh-exec,
+ strace [!hurd-any !kfreebsd-any] <!nocheck>,
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Homepage: https://www.flamingspork.com/projects/libeatmydata/
 Vcs-Browser: https://salsa.debian.org/debian/libeatmydata
 Vcs-Git: https://salsa.debian.org/debian/libeatmydata.git
 
@@ -36,6 +41,7 @@
 
 Package: libeatmydata1
 Architecture: any
+Section: libs
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
