=== debian/tests/control ===
Tests: upstream-tests
Depends:
 @,
 @builddeps@,
Restrictions: rw-build-tree
