=== debian/watch ===
version=4

opts="dversionmangle=auto, pgpmode=auto" \
https://github.com/stewartsmith/libeatmydata/releases (?:.*/)?libeatmydata[_\-\.]?@ANY_VERSION@@ARCHIVE_EXT@
