## libeatmydata 131

=== debian/changelog ===
libeatmydata (131-2) unstable; urgency=medium

  * Bump Standards-Version, no changes needed.
  * Add patch to fix FTBFS on 32 bits with a t64 env.  Closes: #1069465

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 22 Apr 2024 10:29:08 +0200

libeatmydata (131-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    * libeatmydata1: Drop versioned constraint on eatmydata in Replaces.
    * libeatmydata1: Drop versioned constraint on eatmydata in Breaks.
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure),
    Repository-Browse, Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Mattia Rizzolo ]
  * New upstream version 131.
  * Add patch to fix double build.  Closes: #1048231
  * Update watchfile after github changes.  Closes: #1043479
  * Provide a source-level Description.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Sep 2023 15:52:41 +0530
