=== debian/control ===
--- 
+++ 
@@ -10,11 +10,12 @@
 Build-Depends-Arch:
  dh-exec,
  strace [!hurd-any !kfreebsd-any] <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.flamingspork.com/projects/libeatmydata/
 Vcs-Browser: https://salsa.debian.org/debian/libeatmydata
 Vcs-Git: https://salsa.debian.org/debian/libeatmydata.git
+Description: Library and utilities designed to disable fsync and friends
 
 Package: eatmydata
 Architecture: all
@@ -22,7 +23,7 @@
  libeatmydata1 (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Library and utilities designed to disable fsync and friends
+Description: ${source:Synopsis}
  This package contains a small LD_PRELOAD library (libeatmydata) and a couple
  of helper utilities designed to transparently disable fsync and friends (like
  open(O_SYNC)). This has two side-effects: making software that writes data
@@ -47,12 +48,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- eatmydata (<< 82-1),
-Replaces:
- eatmydata (<< 82-1),
 Multi-Arch: same
-Description: Library and utilities to disable fsync and friends - shared library
+Description: ${source:Synopsis} - shared library
  This package contains the actual LD_PRELOAD library (libeatmydata) supporting
  the operation of the eatmydata package. Users typically want to use or depend
  on the eatmydata package instead of this one, so see its description for
