=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DH_VERBOSE=1
export DH_ALWAYS_EXCLUDE=.la:.a


%:
	dh $@

override_dh_auto_test-indep:
