=== debian/watch ===
version=4

opts="searchmode=plain, dversionmangle=auto, pgpmode=auto" \
https://api.github.com/repos/stewartsmith/@PACKAGE@/releases \
https://github.com/stewartsmith/@PACKAGE@/releases/download/v?[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
